import logging

logging.basicConfig(level=logging.INFO) # noqa

import threading
from bitvend import create_app, dev, proc, db

if __name__ == "__main__":
    from prometheus_client import start_http_server
    start_http_server(8000)

    app = create_app()

    with app.app_context():
        db.create_all()

    threading.Thread(target=app.run, kwargs={
        'host': '0.0.0.0',
        }, daemon=True).start()
    proc.start()
    dev.run()
